package com.fjhx.sale.service.after.impl;

import com.fjhx.sale.entity.after.po.AfterSalesRecords;
import com.fjhx.sale.entity.after.vo.AfterSalesRecordsVo;
import com.fjhx.sale.mapper.after.AfterSalesRecordsMapper;
import com.fjhx.sale.service.after.AfterSalesRecordsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.system.utils.UserUtil;
import org.springframework.stereotype.Service;
import com.fjhx.sale.entity.after.dto.AfterSalesRecordsDto;

import java.util.List;


/**
 * <p>
 * 售后跟进记录 服务实现类
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
@Service
public class AfterSalesRecordsServiceImpl extends ServiceImpl<AfterSalesRecordsMapper, AfterSalesRecords> implements AfterSalesRecordsService {

    @Override
    public List<AfterSalesRecordsVo> getList(IWrapper wrapper) {
        List<AfterSalesRecordsVo> list = baseMapper.getList(wrapper);
        UserUtil.assignmentNickName(list, AfterSalesRecords::getFollowUpUserId, AfterSalesRecordsVo::setFollowUpUserName);
        return list;
    }

    @Override
    public void add(AfterSalesRecordsDto afterSalesRecordsDto) {
        this.save(afterSalesRecordsDto);
    }

    @Override
    public void edit(AfterSalesRecordsDto afterSalesRecordsDto) {
        this.updateById(afterSalesRecordsDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
